body {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    background-color: #000;
    color: #fff;
    font-family: Arial, sans-serif;
}

header {
    width: 100%;
    background-color: #333;
    padding: 10px 0;
    box-shadow: 0 2px 4px rgba(0,0,0,0.5);
    position: relative; /* Required for absolute positioning of the icon */
}

nav {
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-link {
    display: block;
    text-align: center;
    margin: 0 15px;
    padding: 10px;
    color: #fff;
    text-decoration: none;
    background-color: #555;
    border-radius: 5px;
}

.nav-link:hover, .nav-link.active {
    background-color: #777;
}

.nav-link.home {
    position: absolute;
    top: 10px;
    left: 10px;
    padding: 0; /* Remove padding */
}

.nav-link.home img {
    width: 30px; /* Adjust size of the icon */
    height: auto;
}

.carousel-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80%;
    max-width: 900px;
    margin: 20px auto;
    padding: 20px;
    box-sizing: border-box;
    position: relative;
}

.video-wrapper {
    width: 100%;
    position: relative;
    padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
    background-color: #000;
    overflow: hidden;
    border: 1px solid #fff;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
    margin-bottom: 20px;
}

video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.3s ease;
}

.carousel-controls {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 20px;
}

.carousel-btn {
    background-color: rgba(0, 0, 0, 0.7);
    color: #fff;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
}

.prev {
    margin-right: auto;
}

.next {
    margin-left: auto;
}

.video-description {
    width: 100%;
    max-width: 800px;
    background-color: #222;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
    color: #ddd;
}
